.courses_list__course_card {
  display: grid;
  grid-template-rows: 1fr 2fr;
  grid-template-columns: 2fr 2fr 1fr;
  height: max-content;
  width: 100%;
  padding: 1rem;
  background-color: lightgrey;
  border-radius: 1rem;
  align-self: center;
  margin: 0.5rem auto 1rem auto;
}

.courses_list__course_card__title {
  grid-column-start: 1;
  grid-column-end: 2;
}

.courses_list__course_card__details {
  grid-column-start: 2;
  grid-column-end: 3;
  text-align: end;
  padding-right: 5rem;
}

.courses_list__course_card__description {
  grid-column-start: 1;
  grid-column-end: 3;
  padding-right: 5rem;
  padding-bottom: 0;
}

.courses_list__course_card__buttons {
  grid-column-start: 3;
  grid-column-end: 4;
  text-align: center;
}

.courses_list__course_card__details_duration {
  padding-right: 1em;
}

h3 {
  margin: 0;
  padding: 0;
  display: inline-block;
}

.courses_list__course_card__details__edit_course_button,
.courses_list__course_card__details__delete_course_button {
  color: #FFFFFF;
  box-shadow: 1px 2px 3px #888888;
  border-radius: 5%;
  border-color: white;
  margin: 1rem 0.5rem;
  text-align: center;
  width: 5rem;
  height: 2rem;
  background-color: #21d0c3;
  font-size: x-small;
}

.courses_list__course_card__rate_icon {
  font-size: 1rem;
  vertical-align: 0.7rem;
  padding-left: 0.3rem;
}

.green-border {
  border: 0.2rem solid yellowgreen;
}

.blue-border {
  border: 0.2rem solid deepskyblue;
}

.rated-background {
  background-color: lightyellow;
}

.fa-pencil, .fa-trash {
  margin-right: 0.3rem;
}
